package com.ruoyi.manage.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.manage.domain.TaskManage;
import com.ruoyi.manage.mapper.TaskManageMapper;
import com.ruoyi.manage.service.ITaskManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 任务管理Service业务层处理
 * 
 * @author boman
 * @date 2025-05-07
 */
@Service
public class TaskManageServiceImpl implements ITaskManageService 
{
    @Autowired
    private TaskManageMapper taskManageMapper;

    /**
     * 查询任务管理
     * 
     * @param taskId 任务管理主键
     * @return 任务管理
     */
    @Override
    public TaskManage selectTaskManageByTaskId(Long taskId)
    {
        return taskManageMapper.selectTaskManageByTaskId(taskId);
    }

    /**
     * 查询任务管理列表
     * 
     * @param taskManage 任务管理
     * @return 任务管理
     */
    @Override
    public List<TaskManage> selectTaskManageList(TaskManage taskManage)
    {
        return taskManageMapper.selectTaskManageList(taskManage);
    }

    /**
     * 新增任务管理
     * 
     * @param taskManage 任务管理
     * @return 结果
     */
    @Override
    public int insertTaskManage(TaskManage taskManage)
    {
        taskManage.setCreateTime(DateUtils.getNowDate());
        return taskManageMapper.insertTaskManage(taskManage);
    }

    /**
     * 修改任务管理
     * 
     * @param taskManage 任务管理
     * @return 结果
     */
    @Override
    public int updateTaskManage(TaskManage taskManage)
    {
        taskManage.setUpdateTime(DateUtils.getNowDate());
        return taskManageMapper.updateTaskManage(taskManage);
    }

    /**
     * 批量删除任务管理
     * 
     * @param taskIds 需要删除的任务管理主键
     * @return 结果
     */
    @Override
    public int deleteTaskManageByTaskIds(Long[] taskIds)
    {
        return taskManageMapper.deleteTaskManageByTaskIds(taskIds);
    }

    /**
     * 删除任务管理信息
     * 
     * @param taskId 任务管理主键
     * @return 结果
     */
    @Override
    public int deleteTaskManageByTaskId(Long taskId)
    {
        return taskManageMapper.deleteTaskManageByTaskId(taskId);
    }
}
